{ KOL MCK } // Do not remove this line!

procedure NewForm2( var Result: PForm2; AParent: PControl );
begin

  {$IFDEF KOLCLASSES}
  Result := PForm2.Create;
  {$ELSE OBJECTS}
  New( Result, Create );
  {$ENDIF KOL CLASSES/OBJECTS}
  Result.Form := NewForm( AParent, 'Ввод пароля' ).SetPosition( 445, 200 );
  Result.Form.Add2AutoFree( Result );
{$IFDEF UNICODE_CTRLS}
     Result.Form.SetUnicode(TRUE);
{$ENDIF UNICODE_CTRLS}
   {$IFDEF USE_NAMES}
    Result.Form.SetName( Applet, 'Form2' );
   {$ENDIF}
    Result.Form.ExStyle := Result.Form.ExStyle or WS_EX_TOOLWINDOW;
    Result.Form.SetClientSize( 230, 110 );
    Result.Form.Font.FontHeight := 13;
    Result.Form.Font.FontName := 'Tahoma';
      Result.Form.OnShow := Result.KOLForm_Show;
    // Result.Button1.TabOrder = 1
    Result.Button1 := NewButton( Result.Form, 'Применить' ).SetPosition( 8, 80 ).SetSize( 217, 0 );
   {$IFDEF USE_NAMES}
    Result.Button1.SetName( Result.Form, 'Button1' ); 
   {$ENDIF}
   {$IFDEF UNICODE_CTRLS}
   Result.Button1.SetUnicode(TRUE);
   {$ENDIF UNICODE_CTRLS}
    // Result.GroupBox1.TabOrder = 2
    Result.GroupBox1 := NewGroupBox( Result.Form, '' ).SetPosition( 4, -2 ).SetSize( 221, 75 );
   {$IFDEF USE_NAMES}
    Result.GroupBox1.SetName( Result.Form, 'GroupBox1' ); 
   {$ENDIF}
   {$IFDEF UNICODE_CTRLS}
   Result.GroupBox1.SetUnicode(TRUE);
   {$ENDIF UNICODE_CTRLS}
    Result.GroupBox1.TabStop := FALSE;
    // Result.Label1.TabOrder = -1
      Result.Label1 := NewLabel( Result.GroupBox1, 'Введите пароль для БД:' ).SetPosition( 40, 16 ).SetSize( 137, 17 );
   {$IFDEF USE_NAMES}
      Result.Label1.SetName( Result.Form, 'Label1' ); 
   {$ENDIF}
   {$IFDEF UNICODE_CTRLS}
   Result.Label1.SetUnicode(TRUE);
   {$ENDIF UNICODE_CTRLS}
    // Result.PassdBox.TabOrder = 0
      Result.PassdBox := NewEditBox( Result.GroupBox1, [  ] ).SetPosition( 16, 40 ).SetSize( 193, 0 );
   {$IFDEF USE_NAMES}
      Result.PassdBox.SetName( Result.Form, 'PassdBox' ); 
   {$ENDIF}
    {$IFNDEF UNICODE_CTRLS}Result.PassdBox.SetUnicode( TRUE );{$ENDIF}
      Result.Button1.OnClick := Result.Button1Click;
    Result.PassdBox.Color := clWindow;
      Result.PassdBox.OnKeyChar := Result.PassdBoxKeyChar;
    Result.Form.CenterOnParent.CanResize := False;

end;

